import axios from 'axios';
const urls = {
    'zskDiagBase':'/api/cdssman/klDiagnose/getDiagnosePage',    //知识库诊断依据维护
    'zskAddDiagBase':'/api/cdssman/klDiagnose/saveDiagnoseAll',
    'zskDelDiagBase':'/api/cdssman/klDiagnose/clearDiagnoseAll',
    'zskStrDiagBase':'/api/cdssman/klDiagnose/startDiagnose',   //启用
    'zskStopDiagBase':'/api/cdssman/klDiagnose/disableDiagnose',    //禁用
    'zskDiagBaseDetail':'/api/cdssman/klDiagnose/getByIdDiagnoseAll',
    'zskTypeList':'/api/cdssman/klRulePlan/getMenu',//类型列表
    'searchDiag':'/api/cdssman/klDiagnose/findDiaName',
    'zskSearchConcept':'/api/cdssman/klDisease/searchConcept',//知识库搜索术语
    'zskgetDict':'/api/cdssman/kl/dictionary/getDictionarys',//获取枚举
    'updateDiagBase':'/api/cdssman/cache/reloadDiagnose'
};
export default {
    zskgetDict(){
        return axios.post(urls.zskgetDict)
    },
    getTypesList(param){
        return axios.post(urls.zskTypeList,param);
    },
    diagBasePage(param){
        return axios.post(urls.zskDiagBase, param)
    },
    diagBaseApply(param){ //诊断依据--启用
        return axios.post(urls.zskStrDiagBase, param)
    },
    diagBaseStop(param){ //诊断依据--禁用
        return axios.post(urls.zskStopDiagBase, param)
    },
    diagBaseDelete(param){ //诊断依据--删除
        return axios.post(urls.zskDelDiagBase, param)
    },
    diagBaseGetDetail(param){ //诊断依据--获取详情
        return axios.post(urls.zskDiagBaseDetail, param)
    },
    saveDiagBase(param){
        return axios.post(urls.zskAddDiagBase, param)
    },
    searchDiag(param){
        return axios.post(urls.searchDiag, param)
    },
    searchConcept(param){
        return axios.post(urls.zskSearchConcept,param);
    },
    updateDiagBase(param={}){
        return axios.post(urls.updateDiagBase,param);
    },
}